Foxit PDF SDK

Public Types | Public Member Functions | Properties | List of all members
foxit.pdf.actions.PrintParams Class Reference

Inherits SystemIDisposable.

## Public Types
enum | BookletBinding { BookletBinding.e_BookletBindingRight = 0, BookletBinding.e_BookletBindingLeft = 1, BookletBinding.e_BookletBindingLeftTall = 2, BookletBinding.e_BookletBindingRightTall = 3 }
| Enumeration for the values used to determine the duplex printing mode when printing a booklet. More...
enum | BookletDuplexMode { BookletDuplexMode.e_BookletDuplexModeBothSides = 0, BookletDuplexMode.e_BookletDuplexModeFrontSideOnly = 1, BookletDuplexMode.e_BookletDuplexModeBackSideOnly = 2 }
| Enumeration for the values used to determine the duplex printing mode when printing a booklet. More...
enum | DuplexType { DuplexType.e_DuplexTypeSimplex = 0, DuplexType.e_DuplexTypeDuplexFlipLongEdge = 1, DuplexType.e_DuplexTypeDuplexFlipShortEdge = 2 }
| Enumeration for the values used to set the printing duplex mode. More...
enum | PageOrder { PageOrder.e_PageOrderHorizontal = 0, PageOrder.e_PageOrderHorizontalReversed = 1, PageOrder.e_PageOrderVertical = 2 }
| Enumeration for the values used to determine how the multiple pages are laid out on the sheet. More...
enum | PrintContent { PrintContent.e_PrintContentDocument = 0, PrintContent.e_PrintContentDocAndAnnots = 1, PrintContent.e_PrintContentFormFieldsOnly = 2 }
| Enumeration for the values used to set the contents of the print job. More...
enum | PrintHandling { PrintHandling.e_PrintHandlingNone = 0, PrintHandling.e_PrintHandlingFitPaper = 1, PrintHandling.e_PrintHandlingReducePaper = 2, PrintHandling.e_PrintHandlingMultiplePages = 3, PrintHandling.e_PrintHandlingTileLargePages = 4, PrintHandling.e_PrintHandlingBooklet = 5 }
| Enumeration for the values used to determine how the multiple pages are laid out on the sheet. More...

## Public Member Functions
| PrintParams ()
| Constructor.
| PrintParams (PrintParams print_params)
| Constructor, with another print parameters object. More...

## Properties
PrintParams.BookletBinding | binding`[get, set]`
| The value determines the paper binding direction and the page arrange order. Please refer to values starting from foxit.pdf.actions.PrintParams.BookletBinding.e_BookletBindingRight and this should be one of these values.
PrintParams.BookletDuplexMode | booklet_duplex_mode`[get, set]`
| The value determines the duplex printing mode when printing a booklet.Please refer to values starting from foxit.pdf.actions.PrintParams.BookletDuplexMode.e_BookletDuplexModeBothSides and this should be one of these values.
PrintParams.DuplexType | duplex_type`[get, set]`
| Sets the printing duplex mode to simplex, duplex long edge, or duplex short edge feed. Please refer to values starting from foxit.pdf.actions.PrintParams.DuplexType.e_DuplexTypeSimplex and this should be one of these values.
PrintParams.PrintHandling | handling`[get, set]`
| The print handling type.Please refer to values starting from foxit.pdf.actions.PrintParams.PrintHandling.e_PrintHandlingNone and this should be one of these values.
bool | is_print_as_image`[get, set]`
| true means that pages should be printed as image.
bool | is_print_auto_center`[get, set]`
| true means that each page is automatically centered relative to the paper.
bool | is_print_auto_rotate`[get, set]`
| true means that automatically rotates each page to match the page orientation to the available paper area during Multiple Pages Per Sheet printing. false means not.
bool | is_print_page_border`[get, set]`
| A boolean value that if true, draws and prints a page boundary around each of the pages during Multiple Pages Per Sheet printing.
bool | is_reverse`[get, set]`
| true means that the printing order should be from parameter end to parameter start.
bool | is_show_ui`[get, set]`
| true means that a UI should be presented to the user to obtain printing information and confirm the action.
bool | is_simulate_overprinting`[get, set]`
| true means to do overprint preview when printing. false means not.
bool | is_tile_label`[get, set]`
| Label each page of tiled output. Labeled pages indicate row and column, file name, and print date.
int | num_copies`[get, set]`
| The number of copies to be printed.
int | num_pages_h`[get, set]`
| The number of pages to lay out in the horizontal direction when printing Multiple Pages Per Sheet.
int | num_pages_v`[get, set]`
| The number of pages to lay out in the vertical direction when printing Multiple Pages Per Sheet.
string | output_file_name`[get, set]`
| The device-independent path for a file name to be used instead of sending the print job to the printer (Print to File).
PrintParams.PageOrder | page_order`[get, set]`
| The value determines how the multiple pages are laid out on the sheet. Please refer to values starting from foxit.pdf.actions.PrintParams.PageOrder.e_PageOrderHorizontal and this should be one of these values.
Range? | page_range`[get, set]`
| A range object to specify the page range for printing. All the indexes represented in this range would start from 0 and less than page count of the specified document.
PrintParams.PrintContent | print_content`[get, set]`
| Specif content for printing. Please refer to values starting from foxit.pdf.actions.PrintParams.PrintContent.e_PrintContentDocument and this should be one of these values.
string | printer_name`[get, set]`
| The default printer name for printing.
bool | tile_mark`[get, set]`
| true means to cut the page, and false means not.
float | tile_overlap`[get, set]`
| The number of points that tiled pages have in common.
float | tile_scale`[get, set]`
| The amount that tiled pages are scaled.

## Detailed Description

This class represents print parameters.

## Member Enumeration Documentation

## ◆ BookletBinding

enum foxit.pdf.actions.PrintParams.BookletBinding
| strong

Enumeration for the values used to determine the duplex printing mode when printing a booklet.

Values of this enumeration should be used alone.

Enumerator
e_BookletBindingRight | Booklet Binding: Left-side binding for Western-style left-to-right reading direction. The paper is folded on the short side.
e_BookletBindingLeft | Booklet Binding: Right-side binding for text with right-to-left reading direction or Japanese-style vertical writing. The paper is folded on the short side.
e_BookletBindingLeftTall | Booklet Binding: Left-side binding for Western-style left-to-right reading direction. The paper is folded on the long side producing long and narrow pages.
e_BookletBindingRightTall | Booklet Binding: Right-side binding for text with right-to-left reading direction or Japanese-style vertical writing. The paper is folded on the long side producing long and narrow pages.

## ◆ BookletDuplexMode

enum foxit.pdf.actions.PrintParams.BookletDuplexMode
| strong

Enumeration for the values used to determine the duplex printing mode when printing a booklet.

Values of this enumeration should be used alone.

Enumerator
e_BookletDuplexModeBothSides | Booklet Duplex Mode: automatically prints both sides of the paper.
e_BookletDuplexModeFrontSideOnly | Booklet Duplex Mode: only prints all pages that appear on the front side of the paper.
e_BookletDuplexModeBackSideOnly | Booklet Duplex Mode: only prints all pages that appear on the back side of the paper.

## ◆ DuplexType

enum foxit.pdf.actions.PrintParams.DuplexType
| strong

Enumeration for the values used to set the printing duplex mode.

Values of this enumeration should be used alone.

Enumerator
e_DuplexTypeSimplex | Duplex type: prints on one side of the paper.
e_DuplexTypeDuplexFlipLongEdge | Duplex type: prints on both sides of the paper; the paper flips along the long edge.
e_DuplexTypeDuplexFlipShortEdge | Duplex type: prints on both sides of the paper; the paper flips along the short edge.

## ◆ PageOrder

enum foxit.pdf.actions.PrintParams.PageOrder
| strong

Enumeration for the values used to determine how the multiple pages are laid out on the sheet.

Values of this enumeration should be used alone.

Enumerator
e_PageOrderHorizontal | Page Order type: pages are placed from left to right, from top to bottom.
e_PageOrderHorizontalReversed | Page Order type: pages are placed from right to left, from top to bottom.
e_PageOrderVertical | Page Order type: pages are placed from top to bottom, from left to right.

## ◆ PrintContent

enum foxit.pdf.actions.PrintParams.PrintContent
| strong

Enumeration for the values used to set the contents of the print job.

Values of this enumeration should be used alone.

Enumerator
e_PrintContentDocument | Print Content: print the document contents, not comments.
e_PrintContentDocAndAnnots | Print Content: print the document contents and comments.
e_PrintContentFormFieldsOnly | Print Content: print the contents of form fields only. Useful for printing onto pre-preprinted forms.

## ◆ PrintHandling

enum foxit.pdf.actions.PrintParams.PrintHandling
| strong

Enumeration for the values used to determine how the multiple pages are laid out on the sheet.

Values of this enumeration should be used alone.

Enumerator
e_PrintHandlingNone | Print Handling: No page scaling is applied.
e_PrintHandlingFitPaper | Print Handling: Pages are enlarged or shrunk to fit the printe's paper.
e_PrintHandlingReducePaper | Print Handling: Small pages are printed small, and large pages are shrunk to fit on the printer's paper.
e_PrintHandlingMultiplePages | Print Handling: Pages are rescaled to print multiple pages on each printer page.
e_PrintHandlingTileLargePages | Print Handling: Small or normal pages are printed in the original size and large pages are printed on multiple sheets of paper.
e_PrintHandlingBooklet | Print Handling: Prints multiple pages on the same sheet of paper in the order required to read correctly when folded.

## Constructor & Destructor Documentation

## ◆ PrintParams()

foxit.pdf.actions.PrintParams.PrintParams | ( | PrintParams | print_params | ) |
| inline

Constructor, with another print parameters object.

Parameters

  [in] | print_params | Another print parameters object.